Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class VariableSyntaxCompletor

- org.codehaus.groovy.tools.shell.completion.VariableSyntaxCompletor

- All Implemented Interfaces and Traits:
    IdentifierCompletor

      class VariableSyntaxCompletor

  Completor completing variable and method names from known variables in the shell

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Groovysh` | `shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableSyntaxCompletor (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `complete(List<GroovySourceToken> tokens, List candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Groovysh shell

  - ### Constructor Detail

    - #### VariableSyntaxCompletor(Groovysh shell)

  - ### Method Detail

    - #### @Override boolean complete(List<GroovySourceToken> tokens, List candidates)